html {
  background-color: #f8f9fa;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
}

:root {
  --bs-blue: #0d6efd;
  --bs-indigo: #6610f2;
  --bs-purple: #6f42c1;
  --bs-pink: #d63384;
  --bs-red: #dc3545;
  --bs-orange: #fd7e14;
  --bs-yellow: #ffc107;
  --bs-green: #198754;
  --bs-teal: #20c997;
  --bs-cyan: #0dcaf0;
  --bs-white: #fff;
  --bs-gray: #6c757d;
  --bs-gray-dark: #343a40;
  --bs-primary: #3891c8 !important;
  --bs-secondary: #6c757d;
  --bs-success: #198754;
  --bs-info: #0dcaf0;
  --bs-warning: #ffc107;
  --bs-danger: #dc3545;
  --bs-light: #f8f9fa;
  --bs-dark: #212529;
  --bs-font-sans-serif: system-ui, -apple-system, "Segoe UI", Roboto,
    "Helvetica Neue", Arial, "Noto Sans", "Liberation Sans", sans-serif,
    "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  --bs-font-monospace: SFMono-Regular, Menlo, Monaco, Consolas,
    "Liberation Mono", "Courier New", monospace;
  --bs-gradient: linear-gradient(
    180deg,
    rgba(255, 255, 255, 0.15),
    rgba(255, 255, 255, 0)
  );
}

main {
  margin-top: -100vh;
  padding-left: 72px;
}

.nav-bg {
  background-color: rgb(56, 145, 186);
}

.side-bg {
  background-color: rgb(27, 53, 92);
}

.sidenav {
  z-index: 1;
  position: sticky;
  /* margin-top: 80px; */
  top: 0;
  left: 0;
  height: 100vh;
  overflow-x: hidden;
}

.button-bg {
  background-color: rgb(56, 145, 200) !important;
}

.input-group {
  width: auto;
}

.nav-item > a {
  color: rgb(160, 160, 160);
}

.vertical {
  border-left: 2px solid white;
  height: 52px;
  left: 50%;
}

.form-control {
  background-color: rgb(56, 145, 186) !important;
}

.form-control:focus {
  box-shadow: none;
}

.form-control-underlined {
  border-width: 0;
  border-bottom-width: 1px;
  border-radius: 0;
  padding-left: 0;
}

.form-control::placeholder {
  color: #fff !important;
}

.viewcard {
  border-radius: 1rem !important;
  box-shadow: 0px 5px #e6e6e6;
}

.viewcard-blue {
  border-radius: 1rem !important;
  box-shadow: 0px 5px #c8ecf7;
  color: #37d0ff;
}
.viewcard-yellow {
  border-radius: 1rem !important;
  box-shadow: 0px 5px #f7f4c8;
  color: #eee45a;
}
.viewcard-orange {
  border-radius: 1rem !important;
  box-shadow: 0px 5px #ffc74e;
  color: #ffb413;
}
.viewcard-red {
  border-radius: 1rem !important;
  box-shadow: 0px 5px #fd8080;
  color: #ff2c2c;
}
.viewcard-green {
  border-radius: 1rem !important;
  box-shadow: 0px 5px #97ffa8;
  color: #4fff6c;
}

th {
  font-weight: 400;
}

table {
  font-size: smaller;
}

td:first-child,
th:first-child {
  border-radius: 15px 0 0 15px;
}

td:last-child,
th:last-child {
  border-radius: 0 15px 15px 0;
}

td:nth-child(2),
td:nth-child(3) {
  text-align: center;
}

.table-space {
  border-collapse: separate;
  border-spacing: 0 10px;
}

/* .piechart {
  width: 200px;
  height: 200px;
  border-radius: 50%;
  background-image: conic-gradient(
    #ffb413 30deg,
    #75e788 0 160deg,
    #eb6565 0 280deg,
    #37d0ff 0
  );
} */

.pieContainer {
  height: 300px;
  /* margin: auto; */
  position: relative;
}

.pie {
  transition: all 0.5s;
  position: absolute;
  width: 300px;
  height: 300px;
  border-radius: 150px;
  clip: rect(0px, 150px, 300px, 0px);
}

.hold {
  position: absolute;
  width: 300px;
  height: 300px;
  border-radius: 150px;
  clip: rect(0px, 300px, 300px, 150px);
}

#pieSlice1 .pie {
  background-color: #ffb413;
  transform: rotate(30deg);
}

#pieSlice2 {
  transform: rotate(30deg);
}

#pieSlice2 .pie {
  background-color: #75e788;
  transform: rotate(130deg);
}

#pieSlice3 {
  transform: rotate(160deg);
}

#pieSlice3 .pie {
  background-color: #ff6161;
  transform: rotate(120deg);
}

#pieSlice4 {
  transform: rotate(280deg);
}

#pieSlice4 .pie {
  background-color: #37d0ff;
  transform: rotate(80deg);
}

.innerCircle {
  position: absolute;
  width: 180px;
  height: 180px;
  background-color: #fff;
  border-radius: 90px;
  top: 60px;
  left: 60px;
  box-shadow: 0px 0px 8px rgba(0, 0, 0, 0.5) inset;
  color: white;
}
.innerCircle .content {
  position: absolute;
  display: block;
  width: 120px;
  top: 60px;
  left: 30px;
  text-align: center;
}

ul {
  list-style: none; /* Remove default bullets */
}

.dot-red {
  font-size: 5rem;
  line-height: 0.25em;
  color: #ff6161;
}
.dot-yellow {
  font-size: 5rem;
  line-height: 0.25em;
  color: #ffb413;
}
.dot-green {
  font-size: 5rem;
  line-height: 0.25em;
  color: #75e788;
}
.dot-blue {
  font-size: 5rem;
  line-height: 0.25em;
  color: #37d0ff;
}

@media only screen and (max-width: 540px) {
  .headbutton > button {
    width: 80%;
  }

  .pieContainer {
    height: 150px;
    margin-left: 30px;
    position: relative;
  }

  .pie {
    transition: all 0.5s;
    position: absolute;
    width: 150px;
    height: 150px;
    border-radius: 75px;
    clip: rect(0px, 75px, 150px, 0px);
  }

  .hold {
    position: absolute;
    width: 150px;
    height: 150px;
    border-radius: 75px;
    clip: rect(0px, 150px, 150px, 75px);
  }

  .innerCircle {
    position: absolute;
    width: 120px;
    height: 120px;
    background-color: #fff;
    border-radius: 60px;
    top: 15px;
    left: 15px;
    box-shadow: 0px 0px 8px rgba(0, 0, 0, 0.5) inset;
    color: white;
  }
  .innerCircle .content {
    position: absolute;
    display: block;
    width: 120px;
    top: 30px;
    left: 0;
    text-align: center;
    font-size: 14px;
  }

  td > button {
    margin-top: 3px;
  }
}
